﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 684C: (1 yr) VER IEEE /9500/1100+1Hd
DATE:                  2017-02-22 14:33:58
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       215
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#         See "Sub Tek TDS500D/600C/700D VER Required Equipment"
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         1GH                          1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method

  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         20 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         UUT IDENTIFICATION
  1.015  TARGET
  1.016  CALL         Sub TDS500/600/700 Setup IEEE
  1.017  IEEE2        *RST;DESE 61
  1.018  MATH         @UUT_Model = "TDS 684C"
  1.019  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.020  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.021  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.022  JMPL         END                          @Abort

  1.023  CALL         Sub Tek TDS500D/600C/700D VER Required Equipment

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.024  CALL         Sub TDS600C Specifications
  1.025  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.026  JMPL         END                          @Abort
  1.027  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.028  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.029  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.030  MATH         @Chan = 1
  1.031  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.032  MATH         @Chan = 2
  1.033  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.034  MATH         @Chan = 3
  1.035  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.036  MATH         @Chan = 4
  1.037  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.040  JMPL         BANDWIDTH_CH1

  1.041  LABEL        DCV_ACC_CH2
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.044  JMPL         BANDWIDTH_CH2

  1.045  LABEL        DCV_ACC_CH3
  1.046  MATH         @Chan = 3
  1.047  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.048  JMPL         BANDWIDTH_CH3

  1.049  LABEL        DCV_ACC_CH4
  1.050  MATH         @Chan = 4
  1.051  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.052  JMPL         BANDWIDTH_CH4

  1.053  LABEL        BANDWIDTH_CH1
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.056  JMPL         TIMEBASE_TRIGGER

  1.057  LABEL        BANDWIDTH_CH2
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.060  JMPL         TRIG_SENS_CH2

  1.061  LABEL        BANDWIDTH_CH3
  1.062  MATH         @Chan = 3
  1.063  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.064  JMPL         TRIG_SENS_CH3

  1.065  LABEL        BANDWIDTH_CH4
  1.066  MATH         @Chan = 4
  1.067  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/1100
  1.068  JMPL         TRIG_SENS_CH4

  1.069  LABEL        DELAY_MATCH
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub TDS600C (1 yr) Delay Match IEEE /9500
  1.072  JMPL         OUTPUT_SIGNAL

  1.073  LABEL        TIMEBASE_TRIGGER
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub TDS600C (1 yr) Time Base IEEE /9500
  1.076  JMPL         TRIG_TIME_ACC

  1.077  LABEL        DELTA_TIME
  1.078  MATH         @Chan = 1
  1.079  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.080  MATH         @Chan = 2
  1.081  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.082  MATH         @Chan = 3
  1.083  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.084  MATH         @Chan = 4
  1.085  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /9500
  1.086  JMPL         END

  1.087  LABEL        TRIG_TIME_ACC
  1.088  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /9500
  1.089  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.090  OPBR         -z Each channel trig sensitivity test will take about
  1.090  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.090  OPBR         channels to save time, unless desired.
  1.090  OPBR
  1.090  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.090  OPBR         3, and 4?
  1.091  MATH         @TestCh234Sens = MEM1

  1.092  MATH         @Chan = 1
  1.093  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /9500
  1.094  JMPL         DCV_ACC_CH2

  1.095  LABEL        TRIG_SENS_CH2

  1.096  IF           @TestCh234Sens
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.099  ENDIF

  1.100  JMPL         DCV_ACC_CH3

  1.101  LABEL        TRIG_SENS_CH3

  1.102  IF           @TestCh234Sens
  1.103  MATH         @Chan = 3
  1.104  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.105  ENDIF

  1.106  JMPL         DCV_ACC_CH4

  1.107  LABEL        TRIG_SENS_CH4

  1.108  IF           @TestCh234Sens
  1.109  MATH         @Chan = 4
  1.110  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/1100
  1.111  ENDIF

  1.112  JMPL         DELAY_MATCH

  1.113  LABEL        OUTPUT_SIGNAL
  1.114  CALL         Sub TDS654C/68xC (1 yr) Output Signal IEEE /9500
  1.115  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /9500
  1.116  JMPL         DELTA_TIME

  1.117  LABEL        END
  1.118  IEEE2        *RST;DESE 61

  1.119  IF           @Abort
  1.120  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.121  ENDIF

  1.122  END
